
Foreman - Bug #14476

Caster fails with incorrect exception trying to cast invalid real from string

04/05/2016 08:38 AM - Tomer Brisker

Status: Closed   

Priority: Normal   

Assignee: Tomer Brisker   

Category: Parameters   

Target version: 1.11.1   

Difficulty:  Fixed in Releases:  

Triaged:  Found in Releases:  

Bugzilla link:  Red Hat JIRA:  

Pull request: https://github.com/theforeman/foreman/p

ull/3390

  

Description

attempting to cast a string that isn't a valid real number leads to the exception:

Error while parsing smartvar

 | NoMethodError: undefined method `cast_value_integer' for #<Foreman::Parameters::Caster:0x000000

107a4da0>

 | /home/tbrisker/foreman/app/services/foreman/parameters/caster.rb:84:in `cast_real'

 | /home/tbrisker/foreman/app/services/foreman/parameters/caster.rb:33:in `casted_value'

 | /home/tbrisker/foreman/app/services/foreman/parameters/caster.rb:17:in `cast!'

 | /home/tbrisker/foreman/app/models/lookup_value.rb:71:in `validate_and_cast_value'

... snipped rest of stacktrace

Related issues:

Related to Foreman - Refactor #10232: move validations and casting out of loo... Closed 04/22/2015

Associated revisions

Revision b953c6ae - 04/08/2016 05:40 AM - Tomer Brisker

Fixes #14476 - Correctly handle casting of invalid real param values

Revision 7b1b0ec7 - 04/18/2016 01:45 PM - Tomer Brisker

Fixes #14476 - Correctly handle casting of invalid real param values

(cherry picked from commit b953c6ae5390adb93e44c6778017373795c9bc63)

History

#1 - 04/05/2016 08:48 AM - The Foreman Bot

- Status changed from Assigned to Ready For Testing

- Pull request https://github.com/theforeman/foreman/pull/3390 added

#2 - 04/08/2016 06:01 AM - Anonymous

- Status changed from Ready For Testing to Closed

- % Done changed from 0 to 100

Applied in changeset b953c6ae5390adb93e44c6778017373795c9bc63.

#3 - 04/08/2016 09:05 AM - Dominic Cleal

- Related to Refactor #10232: move validations and casting out of lookup keys and values into single-responsibility classes added

#4 - 04/08/2016 09:06 AM - Dominic Cleal

- Category set to Parameters
https://projects.theforeman.org/projects/foreman/repository/foreman/revisions/b953c6ae5390adb93e44c6778017373795c9bc63


- translation missing: en.field_release set to 141
